Loading...
Searching...
No Matches
error_handler

## Macros

#define | ETL_ASSERT(b, e)

## Detailed Description

Error handler for when throwing exceptions is not required.

## Macro Definition Documentation

## ETL_ASSERT

#define ETL_ASSERT | ( |  | b,
|  |  | e )

Value:
static_cast<void>(sizeof(b))

Asserts a condition. Versions of the macro that return a constant value of 'true' will allow the compiler to optimise away any 'if' statements that it is contained within. If ETL_NO_CHECKS is defined then no runtime checks are executed at all. If asserts or exceptions are enabled then the error is thrown if the assert fails. The return value is always 'true'. If ETL_LOG_ERRORS is defined then the error is logged if the assert fails. The return value is the value of the boolean test. If ETL_USE_ASSERT_FUNCTION is defined then the error is sent to the assert function. Otherwise 'assert' is called. The return value is always 'true'.